part of 'land_ext_bloc.dart';

class LandExtEvent extends Equatable {
  const LandExtEvent();

  @override
  List<Object> get props => [];
}

class LoadLandExt extends LandExtEvent {
  final List<LandExt> landext;

  const LoadLandExt({this.landext = const <LandExt>[]});

  @override
  List<Object> get props => [landext];
}

class AddLandExt extends LandExtEvent {
  final LandExt landext;

  const AddLandExt({required this.landext});

  @override
  List<Object> get props => [landext];
}

class UpdateLandExt extends LandExtEvent {
  // ignore: non_constant_identifier_names
  final LandExt landext;

  // ignore: non_constant_identifier_names
  const UpdateLandExt({required this.landext});

  @override
  List<Object> get props => [landext];
}
